Modules
GET
/app-api/v1/streaming/tokenGet live stream playback token
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| type | query | Yes | Stream provider type |
| vid | query | Yes | Class id (required for non-vls types) |
| module | query | Yes | Content module |
| base | query | No | Client base hint (e.g. web) for Brightcove signing keys |
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X GET 'https://app-api.crwilladmin.com/app-api/v1/streaming/token?type=vls&module=batch' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \